

Fix this:

fs/partitions/nec98.c:169: undefined reference to `parse_bsd'




 fs/partitions/check.h |    5 +++++
 fs/partitions/msdos.c |    4 ++--
 fs/partitions/nec98.c |    7 -------
 3 files changed, 7 insertions(+), 9 deletions(-)

diff -puN fs/partitions/msdos.c~nec98-partitions-fix fs/partitions/msdos.c
--- 25/fs/partitions/msdos.c~nec98-partitions-fix	2003-04-19 21:28:01.000000000 -0700
+++ 25-akpm/fs/partitions/msdos.c	2003-04-19 21:32:51.000000000 -0700
@@ -214,12 +214,12 @@ parse_solaris_x86(struct parsed_partitio
 #endif
 }
 
-#ifdef CONFIG_BSD_DISKLABEL
+#if defined(CONFIG_BSD_DISKLABEL) || defined(CONFIG_NEC98_PARTITION)
 /* 
  * Create devices for BSD partitions listed in a disklabel, under a
  * dos-like partition. See parse_extended() for more information.
  */
-static void
+void
 parse_bsd(struct parsed_partitions *state, struct block_device *bdev,
 		u32 offset, u32 size, int origin, char *flavour,
 		int max_partitions)
diff -puN fs/partitions/nec98.c~nec98-partitions-fix fs/partitions/nec98.c
--- 25/fs/partitions/nec98.c~nec98-partitions-fix	2003-04-19 21:31:38.000000000 -0700
+++ 25-akpm/fs/partitions/nec98.c	2003-04-19 21:32:09.000000000 -0700
@@ -66,13 +66,6 @@ is_valid_nec98_partition_table(const str
 	return valid;
 }
 
-#ifdef CONFIG_BSD_DISKLABEL
-extern void parse_bsd(struct parsed_partitions *state,
-			struct block_device *bdev,
-			u32 offset, u32 size, int origin, char *flavour,
-			int max_partitions);
-#endif
-
 int nec98_partition(struct parsed_partitions *state, struct block_device *bdev)
 {
 	unsigned int nr;
diff -puN fs/partitions/check.h~nec98-partitions-fix fs/partitions/check.h
--- 25/fs/partitions/check.h~nec98-partitions-fix	2003-04-19 21:32:03.000000000 -0700
+++ 25-akpm/fs/partitions/check.h	2003-04-19 21:32:32.000000000 -0700
@@ -29,3 +29,8 @@ put_partition(struct parsed_partitions *
 }
 
 extern int warn_no_part;
+
+extern void parse_bsd(struct parsed_partitions *state,
+			struct block_device *bdev, u32 offset, u32 size,
+			int origin, char *flavour, int max_partitions);
+

_
